Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEMac.RC2

    java.lang.Object
      javax.crypto.MacSpi
          org.bouncycastle.jce.provider.JCEMac
              org.bouncycastle.jce.provider.JCEMac.RC2

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEMac

    public static class JCEMac.RC2

extends JCEMac

RC2

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEMac

`JCEMac.DES, JCEMac.DES9797Alg3, JCEMac.DES9797Alg3with7816d4, JCEMac.DESCFB8, JCEMac.DESede, JCEMac.DESede64, JCEMac.DESede64with7816d4, JCEMac.DESedeCFB8, JCEMac.GOST28147, JCEMac.MD2, JCEMac.MD4, JCEMac.MD5, JCEMac.OldSHA384, JCEMac.OldSHA512, JCEMac.PBEWithRIPEMD160, JCEMac.PBEWithSHA, JCEMac.PBEWithTiger, JCEMac.RC2, JCEMac.RC2CFB8, JCEMac.RC5, JCEMac.RC5CFB8, JCEMac.RIPEMD128, JCEMac.RIPEMD160, JCEMac.SHA1, JCEMac.SHA224, JCEMac.SHA256, JCEMac.SHA384, JCEMac.SHA512, JCEMac.Skipjack, JCEMac.SkipjackCFB8, JCEMac.Tiger, JCEMac.VMPC`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCEMac.RC2()`

Method Summary

Methods inherited from class org.bouncycastle.jce.provider.JCEMac
`engineDoFinal, engineGetMacLength, engineInit, engineReset, engineUpdate, engineUpdate`

Methods inherited from class javax.crypto.MacSpi
`clone, engineUpdate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEMac.RC2

    public JCEMac.RC2()

Bouncy Castle Cryptography Library 1.45